Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002000TestLinkInstallerpublic2009-01-20 11:262009-02-06 06:49
Reporterelson_wu 
Assigned Tomhavlat 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformIntel 1.6GHz, 2G DDR2OSWindows XP ProfessionalOS VersionSP3
Product Version1.8 RC 3 
Fixed in Version1.8 RC 4 
Summary0002000: reportCheckingWeb threw some errors during installation
Description1. Checking if sessions are properly configured
Failed!
2. Checking DOM XML support
ERROR - XML Import/Export cannot work. Please install related library to your web server (You can do it later).
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserAny
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0002006closedmhavlat Checking if sessions are properly configured fails on SLES 10 x86_64 FP1 

-  Notes
(0005062)
fman (administrator)
2009-01-20 19:37

Please explain better what is happening and what you would like.
With the present description I'm unable to understand anything.

Please remember always to add steps to reproduce!
(0005075)
johnzan (reporter)
2009-01-22 00:12

I have the same issue as elson_wu, here's my config/setup notes, running on both Linux and Mac OS X (10.5).

I downloaded the 1.8 RC3 build, and followed the instructions in the documentation for the "3.2 AUTOMATIC installation". A number of issues were reported, and each was fixed (typically the max_execution_time was too low and so on), however after I fixed all the php.ini issues I am still left with one error:

----8<-- Start error/problem ------------------
Checking if sessions are properly configured : Failed!

Checking DOM XML support: ERROR - XML Import/Export cannot work. Please install related library to your web server (You can do it later).
----8<-- End error/problem ------------------

I looked at the output of php -i

----8<-- start ------------------
[root@cactus bin]# ./php -i
phpinfo()
PHP Version => 5.2.5

<lots of unnecessary stuff omitted>

dom

DOM/XML => enabled
DOM/XML API Version => 20031129
libxml Version => 2.6.31
HTML Support => enabled
XPath Support => enabled
XPointer Support => enabled
Schema Support => enabled
RelaxNG Support => enabled

<lots of unnecessary stuff omitted>

xml

XML Support => active
XML Namespace Support => active
libxml2 Version => 2.6.31

xmlreader

XMLReader => enabled

xmlwriter

XMLWriter => enabled

xsl

XSL => enabled
libxslt Version => 1.1.8
libxslt compiled against libxml Version => 2.6.11
EXSLT => enabled
libexslt Version => 1.1.8
----8<-- start ------------------

and as far as I can tell everything is correct, both dom and xml are configured and working.

How can I find out what lib is missing for the "Checking DOM XML support: ERROR - XML Import/Export cannot work. Please install related library to your web server (You can do it later)."

Is this documented anywhere? I've looked in the install guide and developer guide but cannot find anything, a search on the forums (and a post) has returned nothing so far.

Also, what/how can we figure out what the "Checking if sessions are properly configured" is actually looking for?

Is this an overview based on the 7 checks that precede it, or is it looking for a specific value somewhere?

By the way, I am not a php developer so be gentle with any reply :)
I can navigate around source code and generally figure out what is happening, but only for small simple apps, this is way beyond my skill/experience level.

Cheers,
J
(0005076)
mhavlat (reporter)
2009-01-22 00:27

It a bug introduced by me. I used disabled code in the checking without enough testing. :-( Please download and replace the latest fixed file:
http://testlink.cvs.sourceforge.net/viewvc/testlink/testlink/lib/functions/configCheck.php?revision=1.36&view=markup [^]

Thanks.
(0005077)
mhavlat (reporter)
2009-01-22 00:29

It's blocking issue. I will rebuild packages.

- Issue History
Date Modified Username Field Change
2009-01-20 11:26 elson_wu New Issue
2009-01-20 11:26 elson_wu Browser => Any
2009-01-20 11:26 elson_wu PHP Version => 5.2.8
2009-01-20 19:37 fman Note Added: 0005062
2009-01-20 19:37 fman Status new => feedback
2009-01-22 00:12 johnzan Note Added: 0005075
2009-01-22 00:20 mhavlat Status feedback => assigned
2009-01-22 00:20 mhavlat Assigned To => mhavlat
2009-01-22 00:27 mhavlat Note Added: 0005076
2009-01-22 00:29 mhavlat Note Added: 0005077
2009-01-22 00:29 mhavlat Status assigned => resolved
2009-01-22 00:29 mhavlat Fixed in Version => next DEV - 1.8 RC 4
2009-01-22 00:29 mhavlat Resolution open => fixed
2009-01-22 18:29 mhavlat Relationship added has duplicate 0002006
2009-02-06 06:49 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker